Media Completion
curl --request POST \
--url https://api.animusai.co/v2/media/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": [
{
"type": "image_url",
"image_url": {
"url": "<string>"
}
}
]
}
],
"model": "animuslabs/Qwen2-VL-NSFW-Vision-1.1",
"temperature": 0.1
}
'import requests
url = "https://api.animusai.co/v2/media/completions"
payload = {
"messages": [{ "content": [
{
"type": "image_url",
"image_url": { "url": "<string>" }
}
] }],
"model": "animuslabs/Qwen2-VL-NSFW-Vision-1.1",
"temperature": 0.1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: [{type: 'image_url', image_url: {url: '<string>'}}]}],
model: 'animuslabs/Qwen2-VL-NSFW-Vision-1.1',
temperature: 0.1
})
};
fetch('https://api.animusai.co/v2/media/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>",
"tool_calls": "<array>"
},
"logprobs": {},
"finish_reason": "<string>",
"stop_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"total_tokens": 123,
"completion_tokens": 123
},
"prompt_logprobs": {}
}Vision
Media Completion
Generates a response based on provided images and text using a vision-language model.
POST
/
media
/
completions
Media Completion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
